/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2013
 *
 *   Use of this software is controlled by the terms and conditions found in the
 *   license agreement under which this software has been supplied.
 *   ===========================================================================
 */
/** ============================================================================
 Interrupts configuration and handling for GE
 * =============================================================================
 *  Revision History
 *  ===============
 *  Feb 18, 2013 Kevin Cai  file created
 * =============================================================================
 */
#ifndef _GE_INT_H_
#define _GE_INT_H_
#include <tistdtypes.h>
#include <ti/csl/cslr_emac.h>

#define CSL_ECTL_0_REGS (CSL_EMAC_SS_CFG_REGS + 0xA00)


extern volatile Uint32 GE_INT_TSCL;
extern volatile Uint32 GE_RX_packet_cnt;
extern void GE_Interrupts_Init(void);
void parserRxPacket(EMAC_Desc * hostDescriptor);

#endif
